Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -641,14 +636,14 @@
     INTEGER(iwp) ::  j                  !< grid index y direction
     INTEGER(iwp) ::  k                  !< grid index z direction
+    INTEGER(iwp) ::  lsp                !< running index for chem spcs
     INTEGER(iwp) ::  m                  !< running index surface type
-    INTEGER(iwp) ::  lsp               !< running index for chem spcs
-
-    IF ( (variable(1:3) == 'kc_' .OR. variable(1:3) == 'em_')  )  THEN
+
+    IF ( ( variable(1:3) == 'kc_'  .OR.  variable(1:3) == 'em_' )  )  THEN
 
        IF ( mode == 'allocate' )  THEN
 
           DO  lsp = 1, nspec
-             IF ( TRIM( variable(1:3) ) == 'kc_' .AND. &
-                  TRIM( variable(4:) ) == TRIM( chem_species(lsp)%name ) )  THEN
+             IF ( TRIM( variable(1:3) ) == 'kc_'  .AND.                                            &
+                  TRIM( variable(4:) )  == TRIM( chem_species(lsp)%name ) )  THEN
                 IF ( .NOT. ALLOCATED( chem_species(lsp)%conc_av ) )  THEN
                    ALLOCATE( chem_species(lsp)%conc_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
@@ -661,12 +656,11 @@
 
           DO  lsp = 1, nspec
-             IF ( TRIM( variable(1:3) ) == 'kc_' .AND. &
-                  TRIM( variable(4:) ) == TRIM( chem_species(lsp)%name ) )  THEN
+             IF ( TRIM( variable(1:3) ) == 'kc_'  .AND.                                            &
+                  TRIM( variable(4:) )  == TRIM( chem_species(lsp)%name ) )  THEN
                 DO  i = nxlg, nxrg
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         chem_species(lsp)%conc_av(k,j,i) =                              &
-                                           chem_species(lsp)%conc_av(k,j,i) +            &
-                                           chem_species(lsp)%conc(k,j,i)
+                         chem_species(lsp)%conc_av(k,j,i) = chem_species(lsp)%conc_av(k,j,i) +     &
+                                                            chem_species(lsp)%conc(k,j,i)
                       ENDDO
                    ENDDO
@@ -675,26 +669,20 @@
                 DO  i = nxl, nxr
                    DO  j = nys, nyn
-                      match_def = surf_def_h(0)%start_index(j,i) <=                      &
-                           surf_def_h(0)%end_index(j,i)
-                      match_lsm = surf_lsm_h%start_index(j,i) <=                         &
-                           surf_lsm_h%end_index(j,i)
-                      match_usm = surf_usm_h%start_index(j,i) <=                         &
-                           surf_usm_h%end_index(j,i)
+                      match_def = surf_def_h(0)%start_index(j,i) <= surf_def_h(0)%end_index(j,i)
+                      match_lsm = surf_lsm_h%start_index(j,i)    <= surf_lsm_h%end_index(j,i)
+                      match_usm = surf_usm_h%start_index(j,i)    <= surf_usm_h%end_index(j,i)
 
                       IF ( match_def )  THEN
                          m = surf_def_h(0)%end_index(j,i)
-                         chem_species(lsp)%cssws_av(j,i) =                               &
-                              chem_species(lsp)%cssws_av(j,i) + &
-                              surf_def_h(0)%cssws(lsp,m)
+                         chem_species(lsp)%cssws_av(j,i) = chem_species(lsp)%cssws_av(j,i) +       &
+                                                           surf_def_h(0)%cssws(lsp,m)
                       ELSEIF ( match_lsm  .AND.  .NOT. match_usm )  THEN
                          m = surf_lsm_h%end_index(j,i)
-                         chem_species(lsp)%cssws_av(j,i) =                               &
-                              chem_species(lsp)%cssws_av(j,i) + &
-                              surf_lsm_h%cssws(lsp,m)
+                         chem_species(lsp)%cssws_av(j,i) = chem_species(lsp)%cssws_av(j,i) +       &
+                                                           surf_lsm_h%cssws(lsp,m)
                       ELSEIF ( match_usm )  THEN
                          m = surf_usm_h%end_index(j,i)
-                         chem_species(lsp)%cssws_av(j,i) =                               &
-                              chem_species(lsp)%cssws_av(j,i) + &
-                              surf_usm_h%cssws(lsp,m)
+                         chem_species(lsp)%cssws_av(j,i) = chem_species(lsp)%cssws_av(j,i) +       &
+                                                           surf_usm_h%cssws(lsp,m)
                       ENDIF
                    ENDDO
@@ -706,12 +694,11 @@
 
           DO  lsp = 1, nspec
-             IF ( TRIM( variable(1:3) ) == 'kc_' .AND. &
-                  TRIM( variable(4:) ) == TRIM( chem_species(lsp)%name ) )  THEN
+             IF ( TRIM( variable(1:3) ) == 'kc_'  .AND.                                            &
+                  TRIM( variable(4:) )  == TRIM( chem_species(lsp)%name ) )  THEN
                 DO  i = nxlg, nxrg
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         chem_species(lsp)%conc_av(k,j,i) =                              &
-                             chem_species(lsp)%conc_av(k,j,i) /                          &
-                             REAL( average_count_3d, KIND=wp )
+                         chem_species(lsp)%conc_av(k,j,i) = chem_species(lsp)%conc_av(k,j,i) /     &
+                                                            REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -721,6 +708,6 @@
                 DO  i = nxlg, nxrg
                    DO  j = nysg, nyng
-                      chem_species(lsp)%cssws_av(j,i) =                                  &
-                      chem_species(lsp)%cssws_av(j,i) / REAL( average_count_3d, KIND=wp )
+                      chem_species(lsp)%cssws_av(j,i) = chem_species(lsp)%cssws_av(j,i) /          &
+                                                        REAL( average_count_3d, KIND = wp )
                    ENDDO
                 ENDDO
@@ -734,17 +721,17 @@
  END SUBROUTINE chem_3d_data_averaging
 
-    
-!------------------------------------------------------------------------------!
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine to initialize and set all boundary conditions for chemical species
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_boundary_conditions( horizontal_conditions_only )
 
-    USE arrays_3d,                                                             &
+    USE arrays_3d,                                                                                 &
         ONLY:  dzu
 
-    USE surface_mod,                                                           &
-        ONLY:  bc_h                                                           
+    USE surface_mod,                                                                               &
+        ONLY:  bc_h
 
     INTEGER(iwp) ::  i                            !< grid index x direction.
@@ -752,6 +739,6 @@
     INTEGER(iwp) ::  k                            !< grid index z direction.
     INTEGER(iwp) ::  l                            !< running index boundary type, for up- and downward-facing walls.
+    INTEGER(iwp) ::  lsp                          !< running index for chem spcs.
     INTEGER(iwp) ::  m                            !< running index surface elements.
-    INTEGER(iwp) ::  lsp                          !< running index for chem spcs.
 
     LOGICAL, OPTIONAL ::  horizontal_conditions_only  !< switch to set horizontal bc only
@@ -770,6 +757,6 @@
                     j = bc_h(l)%j(m)
                     k = bc_h(l)%k(m)
-                   chem_species(lsp)%conc_p(k+bc_h(l)%koff,j,i) =           &
-                                      chem_species(lsp)%conc(k+bc_h(l)%koff,j,i) 
+                   chem_species(lsp)%conc_p(k+bc_h(l)%koff,j,i) =                                  &
+                                                          chem_species(lsp)%conc(k+bc_h(l)%koff,j,i)
                 ENDDO
              ENDDO
@@ -785,11 +772,10 @@
                    j = bc_h(l)%j(m)
                    k = bc_h(l)%k(m)
-                   chem_species(lsp)%conc_p(k+bc_h(l)%koff,j,i) =           &
-                                         chem_species(lsp)%conc_p(k,j,i)
+                   chem_species(lsp)%conc_p(k+bc_h(l)%koff,j,i) = chem_species(lsp)%conc_p(k,j,i)
                 ENDDO
              ENDDO
           ENDIF
 
-       ENDDO    ! end lsp loop  
+       ENDDO    ! end lsp loop
 
 !
@@ -798,5 +784,5 @@
 !>           already runs over all species? (Siggi)
        DO  lsp = 1, nspec
-          IF ( ibc_cs_t == 0 )  THEN                    
+          IF ( ibc_cs_t == 0 )  THEN
              chem_species(lsp)%conc_p(nzt+1,:,:) = chem_species(lsp)%conc(nzt+1,:,:)
           ELSEIF ( ibc_cs_t == 1 )  THEN
@@ -904,6 +890,6 @@
 !
 !--    Lateral Neumann booundary conditions for timelevel t.
-!--    This branch is executed when routine is called after the non-advective processes /
-!--    before the prognostic equations.
+!--    This branch is executed when routine is called after the non-advective processes / before the
+!--    prognostic equations.
        IF ( bc_radiation_cs_s )  THEN
           DO  lsp = 1, nspec
@@ -998,9 +984,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine for checking data output for chemical species
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_check_data_output( var, unit, i, ilen, k )
 
@@ -1010,6 +996,6 @@
 
     INTEGER(iwp) ::  i
+    INTEGER(iwp) ::  ilen
     INTEGER(iwp) ::  lsp
-    INTEGER(iwp) ::  ilen
     INTEGER(iwp) ::  k
 
@@ -1026,11 +1012,11 @@
     IF ( TRIM( var(1:3) ) == 'em_' )  THEN
        DO  lsp=1,nspec
-          IF (TRIM( spec_name ) == TRIM( chem_species(lsp)%name ) )  THEN
+          IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name ) )  THEN
              unit = 'mol m-2 s-1'
           ENDIF
 !
-!--       It is possible to plant PM10 and PM25 into the gasphase chemistry code
-!--       as passive species (e.g. 'passive' in GASPHASE_PREPROC/mechanisms):
-!--       set unit to micrograms per m**3 for PM10 and PM25 (PM2.5)
+!--       It is possible to plant PM10 and PM25 into the gasphase chemistry code as passive species
+!--       (e.g. 'passive' in GASPHASE_PREPROC/mechanisms): set unit to micrograms per m**3 for PM10
+!--       and PM25 (PM2.5)
           IF (spec_name(1:2) == 'PM')  THEN
              unit = 'kg m-2 s-1'
@@ -1041,12 +1027,12 @@
 
        DO  lsp=1,nspec
-          IF (TRIM( spec_name ) == TRIM( chem_species(lsp)%name ) )  THEN
+          IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name ) )  THEN
              unit = 'ppm'
           ENDIF
 !
-!--            It is possible  to plant PM10 and PM25 into the gasphase chemistry code 
-!--            as passive species (e.g. 'passive' in GASPHASE_PREPROC/mechanisms):
-!--            set unit to kilograms per m**3 for PM10 and PM25 (PM2.5)
-          IF (spec_name(1:2) == 'PM')  THEN  
+!--       It is possible to plant PM10 and PM25 into the gasphase chemistry code as passive species
+!--       (e.g. 'passive' in GASPHASE_PREPROC/mechanisms): set unit to kilograms per m**3 for PM10
+!--       and PM25 (PM2.5)
+          IF (spec_name(1:2) == 'PM')  THEN
             unit = 'kg m-3'
           ENDIF
@@ -1054,5 +1040,5 @@
 
        DO  lsp=1,nphot
-          IF (TRIM( spec_name ) == TRIM( phot_frequen(lsp)%name ) )  THEN
+          IF ( TRIM( spec_name ) == TRIM( phot_frequen(lsp)%name ) )  THEN
              unit = 'sec-1'
           ENDIF
@@ -1065,14 +1051,14 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine for checking data output of profiles for chemistry model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_check_data_output_pr( variable, var_count, unit, dopr_unit )
 
     USE arrays_3d
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  data_output_pr, message_string
 
@@ -1082,7 +1068,7 @@
 
 
-    CHARACTER (LEN=*) ::  unit     !< 
-    CHARACTER (LEN=*) ::  variable !< 
-    CHARACTER (LEN=*) ::  dopr_unit
+    CHARACTER (LEN=*)  ::  unit     !<
+    CHARACTER (LEN=*)  ::  variable !<
+    CHARACTER (LEN=*)  ::  dopr_unit
     CHARACTER (LEN=16) ::  spec_name
 
@@ -1090,24 +1076,23 @@
 
 
-    spec_name = TRIM( variable(4:) )    
-
-       IF (  .NOT.  air_chemistry )  THEN
-          message_string = 'data_output_pr = ' //                        &
-          TRIM( data_output_pr(var_count) ) // ' is not imp' // &
-                      'lemented for air_chemistry = .FALSE.'
-          CALL message( 'chem_check_parameters', 'CM0433', 1, 2, 0, 6, 0 )              
+    spec_name = TRIM( variable(4:) )
+
+       IF ( .NOT. air_chemistry )  THEN
+          message_string = 'data_output_pr = ' // TRIM( data_output_pr(var_count) ) //             &
+                           ' is not imp' // 'lemented for air_chemistry = .FALSE.'
+          CALL message( 'chem_check_parameters', 'CM0433', 1, 2, 0, 6, 0 )
 
        ELSE
           DO  lsp = 1, nspec
-             IF (TRIM( spec_name ) == TRIM( chem_species(lsp)%name ) )  THEN 
+             IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name ) )  THEN
                 cs_pr_count = cs_pr_count+1
                 cs_pr_index(cs_pr_count) = lsp
-                dopr_index(var_count) = pr_palm+cs_pr_count  
+                dopr_index(var_count) = pr_palm+cs_pr_count
                 dopr_unit  = 'ppm'
-                IF (spec_name(1:2) == 'PM')  THEN
+                IF ( spec_name(1:2) == 'PM')  THEN
                      dopr_unit = 'kg m-3'
                 ENDIF
                    hom(:,2, dopr_index(var_count),:) = SPREAD( zu, 2, statistic_regions+1 )
-                   unit = dopr_unit  
+                   unit = dopr_unit
              ENDIF
           ENDDO
@@ -1117,9 +1102,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check parameters routine for chemistry_model_mod
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_check_parameters
 
@@ -1127,9 +1112,11 @@
         ONLY:  bc_lr, bc_ns
 
+    INTEGER (iwp) ::  lsp          !< running index for chem spcs.
+    INTEGER (iwp) ::  lsp_usr      !< running index for user defined chem spcs
+
     LOGICAL  ::  found
-    INTEGER (iwp) ::  lsp_usr      !< running index for user defined chem spcs 
-    INTEGER (iwp) ::  lsp          !< running index for chem spcs.
-!
-!-- check for chemical reactions status
+
+!
+!-- Check for chemical reactions status
     IF ( chem_gasphase_on )  THEN
        message_string = 'Chemical reactions: ON'
@@ -1140,5 +1127,5 @@
     ENDIF
 !
-!-- check for chemistry time-step
+!-- Check for chemistry time-step
     IF ( call_chem_at_all_substeps )  THEN
        message_string = 'Chemistry is calculated at all meteorology time-step'
@@ -1149,5 +1136,5 @@
     ENDIF
 !
-!-- check for photolysis scheme 
+!-- Check for photolysis scheme
     IF ( (photolysis_scheme /= 'simple') .AND. (photolysis_scheme /= 'constant')  )  THEN
        message_string = 'Incorrect photolysis scheme selected, please check spelling'
@@ -1155,8 +1142,9 @@
     ENDIF
 !
-!-- check for chemical mechanism used 
+!-- Check for chemical mechanism used
     CALL get_mechanism_name
     IF ( chem_mechanism /= TRIM( cs_mech ) )  THEN
-       message_string = 'Incorrect chemistry mechanism selected, check spelling in namelist and/or chem_gasphase_mod'
+       message_string =                                                                            &
+       'Incorrect chemistry mechanism selected, check spelling in namelist and/or chem_gasphase_mod'
        CALL message( 'chem_check_parameters', 'CM0462', 1, 2, 0, 6, 0 )
     ENDIF
@@ -1252,10 +1240,10 @@
 !
 !-- Cyclic conditions must be set identically at opposing boundaries
-    IF ( ( bc_cs_l == 'cyclic' .AND. bc_cs_r /= 'cyclic' )  .OR.                                 &
+    IF ( ( bc_cs_l == 'cyclic' .AND. bc_cs_r /= 'cyclic' )  .OR.                                   &
          ( bc_cs_r == 'cyclic' .AND. bc_cs_l /= 'cyclic' ) )  THEN
        message_string = 'boundary conditions bc_cs_l and bc_cs_r must both be cyclic or non-cyclic'
        CALL message( 'chem_check_parameters','PA0716', 1, 2, 0, 6, 0 )
     ENDIF
-    IF ( ( bc_cs_n == 'cyclic' .AND. bc_cs_s /= 'cyclic' )  .OR.                                 &
+    IF ( ( bc_cs_n == 'cyclic' .AND. bc_cs_s /= 'cyclic' )  .OR.                                   &
          ( bc_cs_s == 'cyclic' .AND. bc_cs_n /= 'cyclic' ) )  THEN
        message_string = 'boundary conditions bc_cs_n and bc_cs_s must both be cyclic or non-cyclic'
@@ -1298,5 +1286,5 @@
     CALL chem_init_internal
 !
-!-- check for initial chem species input
+!-- Check for initial chem species input
     lsp_usr = 1
     lsp     = 1
@@ -1307,5 +1295,5 @@
              found = .TRUE.
              EXIT
-          ENDIF 
+          ENDIF
        ENDDO
        IF ( .NOT.  found )  THEN
@@ -1317,5 +1305,5 @@
     ENDDO
 !
-!-- check for surface  emission flux chem species
+!-- Check for surface  emission flux chem species
     lsp_usr = 1
     lsp     = 1
@@ -1326,5 +1314,5 @@
              found = .TRUE.
              EXIT
-          ENDIF 
+          ENDIF
        ENDDO
        IF ( .NOT.  found )  THEN
@@ -1339,24 +1327,30 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining 2D output variables for chemical species
 !> @todo: Remove "mode" from argument list, not used.
-!------------------------------------------------------------------------------!
- SUBROUTINE chem_data_output_2d( av, variable, found, grid, mode, local_pf,   &
-                                  two_d, nzb_do, nzt_do, fill_value )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE chem_data_output_2d( av, variable, found, grid, mode, local_pf, two_d, nzb_do, nzt_do, &
+                                 fill_value )
 
 
     CHARACTER (LEN=*) ::  grid       !<
-    CHARACTER (LEN=*) ::  mode       !< 
-    CHARACTER (LEN=*) ::  variable   !< 
-    INTEGER(iwp) ::  av              !< flag to control data output of instantaneous or time-averaged data
+    CHARACTER (LEN=*) ::  mode       !<
+    CHARACTER (LEN=*) ::  variable   !<
+
+    INTEGER(iwp) ::  av              !< flag to control data output of instantaneous or
+                                     !< time-averaged data
     INTEGER(iwp) ::  nzb_do          !< lower limit of the domain (usually nzb)
     INTEGER(iwp) ::  nzt_do          !< upper limit of the domain (usually nzt+1)
-    LOGICAL      ::  found           !< 
-    LOGICAL      ::  two_d           !< flag parameter that indicates 2D variables (horizontal cross sections)
-    REAL(wp)     ::  fill_value 
-    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf  
+
+    LOGICAL      ::  found           !<
+    LOGICAL      ::  two_d           !< flag parameter that indicates 2D variables (horizontal cross
+                                     !< sections)
+
+    REAL(wp)     ::  fill_value
+
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb:nzt+1) ::  local_pf
 
 !
@@ -1378,5 +1372,5 @@
     spec_name = TRIM( variable(4:char_len-3) )
 !
-!-- Output of emission values, i.e. surface fluxes cssws. 
+!-- Output of emission values, i.e. surface fluxes cssws.
     IF ( variable(1:3) == 'em_' )  THEN
 
@@ -1386,14 +1380,14 @@
           IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name) )  THEN
 !
-!--          No average output for now. 
+!--          No average output for now.
              DO  m = 1, surf_lsm_h%ns
-                local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),nzb+1) =              &
-                              local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),nzb+1)  &
-                                            + surf_lsm_h%cssws(lsp,m)
+                local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),nzb+1) =                                  &
+                                                   local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),nzb+1) &
+                                                   + surf_lsm_h%cssws(lsp,m)
              ENDDO
              DO  m = 1, surf_usm_h%ns
-                   local_pf(surf_usm_h%i(m),surf_usm_h%j(m),nzb+1) =           &
-                              local_pf(surf_usm_h%i(m),surf_usm_h%j(m),nzb+1)  &
-                                            + surf_usm_h%cssws(lsp,m)
+                   local_pf(surf_usm_h%i(m),surf_usm_h%j(m),nzb+1) =                               &
+                                                   local_pf(surf_usm_h%i(m),surf_usm_h%j(m),nzb+1) &
+                                                   + surf_usm_h%cssws(lsp,m)
              ENDDO
              grid = 'zu'
@@ -1405,12 +1399,12 @@
 
        DO  lsp=1,nspec
-          IF (TRIM( spec_name ) == TRIM( chem_species(lsp)%name )  .AND.                           &
+          IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name )  .AND.                          &
                 ( (variable(char_len-2:) == '_xy')  .OR.                                           &
                   (variable(char_len-2:) == '_xz')  .OR.                                           &
-                  (variable(char_len-2:) == '_yz') ) )  THEN             
+                  (variable(char_len-2:) == '_yz') ) )  THEN
 !
 !--   todo: remove or replace by "CALL message" mechanism (kanani)
 !                    IF(myid == 0)  WRITE(6,*) 'Output of species ' // TRIM( variable )  //       &
-!                                                             TRIM( chem_species(lsp)%name )       
+!                                                             TRIM( chem_species(lsp)%name )
              IF (av == 0)  THEN
                 DO  i = nxl, nxr
@@ -1437,5 +1431,5 @@
                 ENDDO
              ENDIF
-             grid = 'zu'           
+             grid = 'zu'
              found = .TRUE.
           ENDIF
@@ -1445,12 +1439,12 @@
     RETURN
 
- END SUBROUTINE chem_data_output_2d      
-
-
-!------------------------------------------------------------------------------!
+ END SUBROUTINE chem_data_output_2d
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining 3D output variables for chemical species
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_data_output_3d( av, variable, found, local_pf, fill_value, nzb_do, nzt_do )
 
@@ -1459,15 +1453,18 @@
 
     CHARACTER (LEN=*)    ::  variable     !<
-    INTEGER(iwp)         ::  av           !<
-    INTEGER(iwp) ::  nzb_do               !< lower limit of the data output (usually 0)
-    INTEGER(iwp) ::  nzt_do               !< vertical upper limit of the data output (usually nz_do3d)
+
+    INTEGER(iwp)         ::  av         !<
+    INTEGER(iwp) ::  nzb_do             !< lower limit of the data output (usually 0)
+    INTEGER(iwp) ::  nzt_do             !< vertical upper limit of the data output (usually nz_do3d)
 
     LOGICAL      ::  found                !<
 
     REAL(wp)             ::  fill_value   !<
-    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf 
-!
-!-- local variables
+
+    REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf
+!
+!-- Local variables
     CHARACTER(LEN=16)    ::  spec_name
+
     INTEGER(iwp)         ::  i
     INTEGER(iwp)         ::  j
@@ -1489,24 +1486,28 @@
        DO  lsp = 1, nvar   !!! cssws - nvar species, chem_species - nspec species !!!
           IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name) )  THEN
-          
+
              local_pf = 0.0_wp
 !
 !--          no average for now
              DO  m = 1, surf_usm_h%ns
-                local_pf(surf_usm_h%i(m),surf_usm_h%j(m),surf_usm_h%k(m)) = &
-                   local_pf(surf_usm_h%i(m),surf_usm_h%j(m),surf_usm_h%k(m)) + surf_usm_h%cssws(lsp,m)
+                local_pf(surf_usm_h%i(m),surf_usm_h%j(m),surf_usm_h%k(m)) =                        &
+                                         local_pf(surf_usm_h%i(m),surf_usm_h%j(m),surf_usm_h%k(m)) &
+                                         + surf_usm_h%cssws(lsp,m)
              ENDDO
              DO  m = 1, surf_lsm_h%ns
-                local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),surf_lsm_h%k(m)) = &
-                  local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),surf_lsm_h%k(m)) + surf_lsm_h%cssws(lsp,m)
+                local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),surf_lsm_h%k(m)) =                        &
+                                         local_pf(surf_lsm_h%i(m),surf_lsm_h%j(m),surf_lsm_h%k(m)) &
+                                         + surf_lsm_h%cssws(lsp,m)
              ENDDO
              DO  l = 0, 3
                 DO  m = 1, surf_usm_v(l)%ns
-                   local_pf(surf_usm_v(l)%i(m),surf_usm_v(l)%j(m),surf_usm_v(l)%k(m)) = &
-                     local_pf(surf_usm_v(l)%i(m),surf_usm_v(l)%j(m),surf_usm_v(l)%k(m)) + surf_usm_v(l)%cssws(lsp,m)
+                   local_pf(surf_usm_v(l)%i(m),surf_usm_v(l)%j(m),surf_usm_v(l)%k(m)) =            &
+                                local_pf(surf_usm_v(l)%i(m),surf_usm_v(l)%j(m),surf_usm_v(l)%k(m)) &
+                                + surf_usm_v(l)%cssws(lsp,m)
                 ENDDO
                 DO  m = 1, surf_lsm_v(l)%ns
-                   local_pf(surf_lsm_v(l)%i(m),surf_lsm_v(l)%j(m),surf_lsm_v(l)%k(m)) = &
-                      local_pf(surf_lsm_v(l)%i(m),surf_lsm_v(l)%j(m),surf_lsm_v(l)%k(m)) + surf_lsm_v(l)%cssws(lsp,m)
+                   local_pf(surf_lsm_v(l)%i(m),surf_lsm_v(l)%j(m),surf_lsm_v(l)%k(m)) =            &
+                                local_pf(surf_lsm_v(l)%i(m),surf_lsm_v(l)%j(m),surf_lsm_v(l)%k(m)) &
+                                + surf_lsm_v(l)%cssws(lsp,m)
                 ENDDO
              ENDDO
@@ -1516,16 +1517,16 @@
     ELSE
       DO  lsp = 1, nspec
-         IF (TRIM( spec_name ) == TRIM( chem_species(lsp)%name) )  THEN
+         IF ( TRIM( spec_name ) == TRIM( chem_species(lsp)%name) )  THEN
 !
 !--   todo: remove or replace by "CALL message" mechanism (kanani)
 !              IF(myid == 0 .AND. chem_debug0 )  WRITE(6,*) 'Output of species ' // TRIM( variable )  // &
-!                                                           TRIM( chem_species(lsp)%name )       
+!                                                           TRIM( chem_species(lsp)%name )
             IF (av == 0)  THEN
                DO  i = nxl, nxr
                   DO  j = nys, nyn
                      DO  k = nzb_do, nzt_do
-                         local_pf(i,j,k) = MERGE(                             &
-                                             chem_species(lsp)%conc(k,j,i),   &
-                                             REAL( fill_value, KIND = wp ),   &
+                         local_pf(i,j,k) = MERGE(                                                  &
+                                             chem_species(lsp)%conc(k,j,i),                        &
+                                             REAL( fill_value, KIND = wp ),                        &
                                              BTEST( wall_flags_total_0(k,j,i), 0 ) )
                      ENDDO
@@ -1538,7 +1539,7 @@
                   DO  j = nys, nyn
                      DO  k = nzb_do, nzt_do
-                         local_pf(i,j,k) = MERGE(                             &
-                                             chem_species(lsp)%conc_av(k,j,i),&
-                                             REAL( fill_value, KIND = wp ),   &
+                         local_pf(i,j,k) = MERGE(                                                  &
+                                             chem_species(lsp)%conc_av(k,j,i),                     &
+                                             REAL( fill_value, KIND = wp ),                        &
                                              BTEST( wall_flags_total_0(k,j,i), 0 ) )
                      ENDDO
@@ -1556,9 +1557,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining mask output variables for chemical species
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE chem_data_output_mask( av, variable, found, local_pf, mid )
 
